Main Page Class Hierarchy Compound List File List Compound Members File Members

# dave_trig.c File Reference

`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <time.h>`
`#include <earthworm.h>`
`#include <parse_trig.h>`

Go to the source code of this file.

## Defines
#define | LINE_LEN 500
#define | BAD_TIME_VALUE 5
#define | TIMESTR_LEN 17
#define | YMD_LEN 8
#define | HOUR_LEN 2
#define | MIN_LEN 2
#define | SEC_LEN 5
## Functions
int | epochsec17 (double *, char *)
int | getNextLine (char **, char *)
int | t_atodbl (char *, char *, double *)
int | parseSnippet (char *msg, SNIPPET *pSnp, char **nxtLine)

## Define Documentation

#define BAD_TIME_VALUE 5

| Definition at line 62 of file dave_trig.c. Referenced by parseSnippet().

#define HOUR_LEN 2

| Definition at line 346 of file dave_trig.c. Referenced by t_atodbl().

#define LINE_LEN 500

| Definition at line 61 of file dave_trig.c. Referenced by getNextLine(), and parseSnippet().

#define MIN_LEN 2

| Definition at line 347 of file dave_trig.c. Referenced by t_atodbl().

#define SEC_LEN 5

| Definition at line 348 of file dave_trig.c. Referenced by t_atodbl().

#define TIMESTR_LEN 17

| Lengths of fields in the time string * Definition at line 344 of file dave_trig.c. Referenced by t_atodbl().

#define YMD_LEN 8

| Definition at line 345 of file dave_trig.c. Referenced by t_atodbl().

## Function Documentation

int epochsec17 | ( | double * | ,
|  | char * |
| ) |

| Definition at line 324 of file chron3.c.

int getNextLine | ( | char ** | ,
|  | char * |
| ) |

| Definition at line 308 of file dave_trig.c. References LINE_LEN, and logit().

int parseSnippet | ( | char * | msg,
|  | SNIPPET * | pSnp,
|  | char ** | nxtLine
| ) |

| Definition at line 97 of file dave_trig.c.

int t_atodbl | ( | char * | YYYYMMDD,
|  | char * | HHMMSS,
|  | double * | starttime
| ) |

| skip over the ':' in time field skip over the ':' in time field Definition at line 350 of file dave_trig.c. References epochsec17(), HOUR_LEN, logit(), MIN_LEN, SEC_LEN, TIMESTR_LEN, and YMD_LEN.